diff -crBPN --exclude=wp-config.php --exclude=.htaccess-inst --exclude=wordpress.sql --exclude=.htaccess.inst --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.3.pl ./wordpress-3.2.1/wp-admin/custom-header.php ./wordpress-3.3/wp-admin/custom-header.php
*** ./wordpress-3.2.1/wp-admin/custom-header.php	2011-11-24 20:39:25.000000000 -0600
--- ./wordpress-3.3/wp-admin/custom-header.php	2011-11-30 20:28:47.000000000 -0600
***************
*** 99,110 ****
  	 * @since 3.0.0
  	 */
  	function help() {
! 		add_contextual_help( $this->page, '<p>' . __( 'You can set a custom image header for your site. Simply upload the image and crop it, and the new header will go live immediately.' ) . '</p>' .
! 		'<p>' . __( 'If you want to discard your custom header and go back to the default included in your theme, click on the buttons to remove the custom image and restore the original header image.' ) . '</p>' .
! 		'<p>' . __( 'Some themes come with additional header images bundled. If you see multiple images displayed, select the one you&#8217;d like and click the Save Changes button.' ) . '</p>' .
! 		'<p><strong>' . __( 'For more information:' ) . '</strong></p>' .
! 		'<p>' . __( '<a href="http://codex.wordpress.org/Appearance_Header_Screen" target="_blank">Documentation on Custom Header</a>' ) . '</p>' .
! 		'<p>' . __( '<a href="http://wordpress.org/support/" target="_blank">Support Forums</a>' ) . '</p>' );
  	}
  
  	/**
--- 99,118 ----
  	 * @since 3.0.0
  	 */
  	function help() {
! 		get_current_screen()->add_help_tab( array(
! 			'id'      => 'overview',
! 			'title'   => __('Overview'),
! 			'content' =>
! 				'<p>' . __( 'You can set a custom image header for your site. Simply upload the image and crop it, and the new header will go live immediately.' ) . '</p>' .
! 				'<p>' . __( 'If you want to discard your custom header and go back to the default included in your theme, click on the buttons to remove the custom image and restore the original header image.' ) . '</p>' .
! 				'<p>' . __( 'Some themes come with additional header images bundled. If you see multiple images displayed, select the one you&#8217;d like and click the Save Changes button.' ) . '</p>'
! 		) );
! 
! 		get_current_screen()->set_help_sidebar(
! 			'<p><strong>' . __( 'For more information:' ) . '</strong></p>' .
! 			'<p>' . __( '<a href="http://codex.wordpress.org/Appearance_Header_Screen" target="_blank">Documentation on Custom Header</a>' ) . '</p>' .
! 			'<p>' . __( '<a href="http://wordpress.org/support/" target="_blank">Support Forums</a>' ) . '</p>'
! 		);
  	}
  
  	/**
***************
*** 241,249 ****
  			return;
  
  		$this->default_headers = $_wp_default_headers;
  		foreach ( array_keys($this->default_headers) as $header ) {
! 			$this->default_headers[$header]['url'] =  sprintf( $this->default_headers[$header]['url'], get_template_directory_uri(), get_stylesheet_directory_uri() );
! 			$this->default_headers[$header]['thumbnail_url'] =  sprintf( $this->default_headers[$header]['thumbnail_url'], get_template_directory_uri(), get_stylesheet_directory_uri() );
  		}
  
  	}
--- 249,259 ----
  			return;
  
  		$this->default_headers = $_wp_default_headers;
+ 		$template_directory_uri = get_template_directory_uri();
+ 		$stylesheet_directory_uri = get_stylesheet_directory_uri();
  		foreach ( array_keys($this->default_headers) as $header ) {
! 			$this->default_headers[$header]['url'] =  sprintf( $this->default_headers[$header]['url'], $template_directory_uri, $stylesheet_directory_uri );
! 			$this->default_headers[$header]['thumbnail_url'] =  sprintf( $this->default_headers[$header]['thumbnail_url'], $template_directory_uri, $stylesheet_directory_uri );
  		}
  
  	}
***************
*** 627,633 ****
  	function step_2() {
  		check_admin_referer('custom-header-upload', '_wpnonce-custom-header-upload');
  		if ( ! current_theme_supports( 'custom-header-uploads' ) )
! 			wp_die( 'Cheatin&#8217; uh?' );
  
  		$overrides = array('test_form' => false);
  		$file = wp_handle_upload($_FILES['import'], $overrides);
--- 637,643 ----
  	function step_2() {
  		check_admin_referer('custom-header-upload', '_wpnonce-custom-header-upload');
  		if ( ! current_theme_supports( 'custom-header-uploads' ) )
! 			wp_die( __( 'Cheatin&#8217; uh?' ) );
  
  		$overrides = array('test_form' => false);
  		$file = wp_handle_upload($_FILES['import'], $overrides);
***************
*** 713,719 ****
  	function step_3() {
  		check_admin_referer('custom-header-crop-image');
  		if ( ! current_theme_supports( 'custom-header-uploads' ) )
! 			wp_die( 'Cheatin&#8217; uh?' );
  
  		if ( $_POST['oitar'] > 1 ) {
  			$_POST['x1'] = $_POST['x1'] * $_POST['oitar'];
--- 723,729 ----
  	function step_3() {
  		check_admin_referer('custom-header-crop-image');
  		if ( ! current_theme_supports( 'custom-header-uploads' ) )
! 			wp_die( __( 'Cheatin&#8217; uh?' ) );
  
  		if ( $_POST['oitar'] > 1 ) {
  			$_POST['x1'] = $_POST['x1'] * $_POST['oitar'];
diff -crBPN --exclude=wp-config.php --exclude=.htaccess-inst --exclude=wordpress.sql --exclude=.htaccess.inst --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.3.pl ./wordpress-3.2.1/wp-admin/edit-comments.php ./wordpress-3.3/wp-admin/edit-comments.php
*** ./wordpress-3.2.1/wp-admin/edit-comments.php	2011-11-24 20:39:25.000000000 -0600
--- ./wordpress-3.3/wp-admin/edit-comments.php	2011-12-10 12:26:48.000000000 -0600
***************
*** 30,36 ****
  	} elseif ( isset( $_REQUEST['ids'] ) ) {
  		$comment_ids = array_map( 'absint', explode( ',', $_REQUEST['ids'] ) );
  	} elseif ( wp_get_referer() ) {
! 		wp_redirect( wp_get_referer() );
  		exit;
  	}
  
--- 30,36 ----
  	} elseif ( isset( $_REQUEST['ids'] ) ) {
  		$comment_ids = array_map( 'absint', explode( ',', $_REQUEST['ids'] ) );
  	} elseif ( wp_get_referer() ) {
! 		wp_safe_redirect( wp_get_referer() );
  		exit;
  	}
  
***************
*** 92,98 ****
  	if ( $trashed || $spammed )
  		$redirect_to = add_query_arg( 'ids', join( ',', $comment_ids ), $redirect_to );
  
! 	wp_redirect( $redirect_to );
  	exit;
  } elseif ( ! empty( $_GET['_wp_http_referer'] ) ) {
  	 wp_redirect( remove_query_arg( array( '_wp_http_referer', '_wpnonce' ), stripslashes( $_SERVER['REQUEST_URI'] ) ) );
--- 92,98 ----
  	if ( $trashed || $spammed )
  		$redirect_to = add_query_arg( 'ids', join( ',', $comment_ids ), $redirect_to );
  
! 	wp_safe_redirect( $redirect_to );
  	exit;
  } elseif ( ! empty( $_GET['_wp_http_referer'] ) ) {
  	 wp_redirect( remove_query_arg( array( '_wp_http_referer', '_wpnonce' ), stripslashes( $_SERVER['REQUEST_URI'] ) ) );
***************
*** 111,122 ****
  
  add_screen_option( 'per_page', array('label' => _x( 'Comments', 'comments per page (screen options)' )) );
  
! add_contextual_help( $current_screen, '<p>' . __( 'You can manage comments made on your site similar to the way you manage Posts and other content. This screen is customizable in the same ways as other management screens, and you can act on comments using the on-hover action links or the Bulk Actions.' ) . '</p>' .
! 	'<p>' . __( 'A yellow row means the comment is waiting for you to moderate it.' ) . '</p>' .
! 	'<p>' . __( 'In the Author column, in addition to the author&#8217;s name, email address, and blog URL, the commenter&#8217;s IP address is shown. Clicking on this link will show you all the comments made from this IP address.' ) . '</p>' .
! 	'<p>' . __( 'In the Comment column, above each comment it says &#8220;Submitted on,&#8221; followed by the date and time the comment was left on your site. Clicking on the date/time link will take you to that comment on your live site. Hovering over any comment gives you options to approve, reply (and approve), quick edit, edit, spam mark, or trash that comment.' ) . '</p>' .
! 	'<p>' . __( 'In the In Response To column, there are three elements. The text is the name of the post that inspired the comment, and links to the post editor for that entry. The &#8220;#&#8221; permalink symbol below leads to that post on your live site. The small bubble with the number in it shows how many comments that post has received. If the bubble is gray, you have moderated all comments for that post. If it is blue, there are pending comments. Clicking the bubble will filter the comments screen to show only comments on that post.' ) . '</p>' .
! 	'<p>' . __( 'Many people take advantage of keyboard shortcuts to moderate their comments more quickly. Use the link below to learn more.' ) . '</p>' .
  	'<p><strong>' . __( 'For more information:' ) . '</strong></p>' .
  	'<p>' . __( '<a href="http://codex.wordpress.org/Administration_Screens#Comments" target="_blank">Documentation on Comments</a>' ) . '</p>' .
  	'<p>' . __( '<a href="http://codex.wordpress.org/Comment_Spam" target="_blank">Documentation on Comment Spam</a>' ) . '</p>' .
--- 111,136 ----
  
  add_screen_option( 'per_page', array('label' => _x( 'Comments', 'comments per page (screen options)' )) );
  
! get_current_screen()->add_help_tab( array(
! 'id'		=> 'overview',
! 'title'		=> __('Overview'),
! 'content'	=>
! 	'<p>' . __( 'You can manage comments made on your site similar to the way you manage posts and other content. This screen is customizable in the same ways as other management screens, and you can act on comments using the on-hover action links or the Bulk Actions.' ) . '</p>'
! ) );
! get_current_screen()->add_help_tab( array(
! 'id'		=> 'moderating-comments',
! 'title'		=> __('Moderating Comments'),
! 'content'	=>
! 	'<ul>' .
! 		'<li>' . __( 'A yellow row means the comment is waiting for you to moderate it.' ) . '</li>' .
! 		'<li>' . __( 'In the <strong>Author</strong> column, in addition to the author&#8217;s name, email address, and blog URL, the commenter&#8217;s IP address is shown. Clicking on this link will show you all the comments made from this IP address.' ) . '</li>' .
! 		'<li>' . __( 'In the <strong>Comment</strong> column, above each comment it says &#8220;Submitted on,&#8221; followed by the date and time the comment was left on your site. Clicking on the date/time link will take you to that comment on your live site. Hovering over any comment gives you options to approve, reply (and approve), quick edit, edit, spam mark, or trash that comment.' ) . '</li>' .
! 		'<li>' . __( 'In the <strong>In Response To</strong> column, there are three elements. The text is the name of the post that inspired the comment, and links to the post editor for that entry. The View Post link leads to that post on your live site. The small bubble with the number in it shows how many comments that post has received. If the bubble is gray, you have moderated all comments for that post. If it is blue, there are pending comments. Clicking the bubble will filter the comments screen to show only comments on that post.' ) . '</li>' .
! 		'<li>' . __( 'Many people take advantage of keyboard shortcuts to moderate their comments more quickly. Use the link to the side to learn more.' ) . '</li>' .
! 	'</ul>'
! ) );
! 
! get_current_screen()->set_help_sidebar(
  	'<p><strong>' . __( 'For more information:' ) . '</strong></p>' .
  	'<p>' . __( '<a href="http://codex.wordpress.org/Administration_Screens#Comments" target="_blank">Documentation on Comments</a>' ) . '</p>' .
  	'<p>' . __( '<a href="http://codex.wordpress.org/Comment_Spam" target="_blank">Documentation on Comment Spam</a>' ) . '</p>' .
